SDL_PathType(3type)

NAME
SDL_PathType - Types of filesystem entries.

SYNOPSIS
#include <SDL3/SDL_filesystem.h>

typedef enum SDL_PathType
{
    SDL_PATHTYPE_NONE,      /**< path does not exist */
    SDL_PATHTYPE_FILE,      /**< a normal file */
    SDL_PATHTYPE_DIRECTORY, /**< a directory */
    SDL_PATHTYPE_OTHER      /**< something completely different like a device node (not a symlink, those are always followed) */
} SDL_PathType;

DESCRIPTION
Note that there may be other sorts of items on a filesystem: devices, named pipes, etc. They are currently reported as SDL_PATHTYPE_OTHER.

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
SDL_PathInfo(3type)